DC_DESCRIPTOR_GET_VENDOR(3)

NAME
dc_descriptor_get_vendor - get the vendor of a dive computer descriptor

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/descriptor.h>
const char *
dc_descriptor_get_vendor(dc_descriptor_t *descriptor);

DESCRIPTION
Gets the vendor (e.g., “Suunto”) of a dive computer descriptor or NULL if none was declared.

RETURN VALUES
This returns the nil-terminated vendor string or NULL if none exists.

The returned pointer is not valid after the descriptor has been freed.

SEE ALSO
dc_descriptor_get_product(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.